export default (configuration) => {
  const enumStrings = configuration.enums
    .map((singleEnum) => {
      return singleEnum;
    })
    .join("\n");
  return `
package ${configuration.packageName}.extensions

object Enums {
    ${enumStrings}
}

object RequestCodes {
  const val GALLERY_IMAGE = 111
  const val CAMERA_IMAGE = 112
  const val CAMERA_PERMISSION = 1001
  const val NOTIFICATION_PERMISSION = 1120
  const val STORAGE_PERMISSION = 1121
  const val FILE_PICK = 115
}
  `;
};
